Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class AnzeigeTabelle

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  AnzeigeTabelle

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class AnzeigeTabelle

extends java.awt.Panel

Objekt zur Anzeige der Tabelle, beeinhaltet auch das Popup-Menu

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected AnzeigeZelle` | `activeZelleAnzeige`
`protected int` | `cols`
`protected TabellenCursor` | `cursor`
`LeerZelle` | `leerzelle`
`protected java.awt.Point` | `MouseClickPoint`
`protected java.awt.PopupMenu` | `popup`
`protected int` | `rows`
`protected static Tabkalk` | `tabkalk`
`protected AnzeigeZelle[][]` | `ZellenAnzeige`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AnzeigeTabelle(Tabkalk tabkalk, int rows, int cols)`

Method Summary
`void` | `aktualisiere(Position P, Zelle z)` tausche die Zelle an der angegebenen Position aus
`AnzeigeZelle` | `getActiveZelleAnzeige()` Zugriffsfunktion - liefert Objektreferenz
`int` | `getSpalten()` liefert Anzahl der Spalten
`TabellenCursor` | `getTabellenCursor()` Zugriffsfunktion - liefert Objektreferenz
`int` | `getXIndex(AnzeigeZelle c)` liefere die Spaltennummer zu einem gegebenen AnzeigeZellen-Objekt
`int` | `getYIndex(AnzeigeZelle c)` liefere die Zeilennummer zu einem gegebenen AnzeigeZellen-Objekt
`int` | `getZeilen()` liefert Anzahl der Zeilen
`Zelle` | `getZelle(int Zeile, int Spalte)` liefert Zelle an der angegebenen Position
`Zelle` | `getZelle(java.lang.String Adresse)` liefere die Zelle an der angegebenen Adresse
`AnzeigeZelle` | `getZelleAnzeige(int X, int Y)` liefert das einzelne AnzeigeZelle-Objekt
`void` | `refresh()` Neuzeichnen aller Zellen in der Tabelle
`void` | `resetMarkierung()`
`void` | `setColor(AnzeigeZelle C, int Flag)` setze Farbe der entsprechenden Zelle
`void` | `setLeerZelle(int Zeile, int Spalte)` setzt Leerzelle an die angegebene Position
`void` | `setMarkierung(Position ObenLinks, Position UntenRechts)` setze Markierung im angegebenen Bereich
`void` | `setZelle(int Zeile, int Spalte, Zelle z)` setzt Zelle an die angegebene Position
`void` | `showPopup(int x, int y)` zeigt das Popup-Menu an der angegebenen Position
`static Tabkalk` | `Tabkalk()` Zugriffsfunktion - liefert Objektreferenz

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tabkalk

    protected static Tabkalk tabkalk

### popup

    protected java.awt.PopupMenu popup

### ZellenAnzeige

    protected AnzeigeZelle[][] ZellenAnzeige

### activeZelleAnzeige

    protected AnzeigeZelle activeZelleAnzeige

### MouseClickPoint

    protected java.awt.Point MouseClickPoint

### cursor

    protected TabellenCursor cursor

### leerzelle

    public LeerZelle leerzelle

### rows

    protected int rows

### cols

    protected int cols

Constructor Detail

### AnzeigeTabelle

    public AnzeigeTabelle(Tabkalk tabkalk,
                          int rows,
                          int cols)

Method Detail

### Tabkalk

    public static Tabkalk Tabkalk()

  Zugriffsfunktion - liefert Objektreferenz

### getTabellenCursor

    public TabellenCursor getTabellenCursor()

  Zugriffsfunktion - liefert Objektreferenz

### getActiveZelleAnzeige

    public AnzeigeZelle getActiveZelleAnzeige()

  Zugriffsfunktion - liefert Objektreferenz

### showPopup

    public void showPopup(int x,
                          int y)

  zeigt das Popup-Menu an der angegebenen Position

### getZelleAnzeige

    public AnzeigeZelle getZelleAnzeige(int X,
                                        int Y)

  liefert das einzelne AnzeigeZelle-Objekt

### getSpalten

    public int getSpalten()

  liefert Anzahl der Spalten

### getZeilen

    public int getZeilen()

  liefert Anzahl der Zeilen

### getZelle

    public Zelle getZelle(int Zeile,
                          int Spalte)

  liefert Zelle an der angegebenen Position

### setZelle

    public void setZelle(int Zeile,
                         int Spalte,
                         Zelle z)

  setzt Zelle an die angegebene Position

### setLeerZelle

    public void setLeerZelle(int Zeile,
                             int Spalte)

  setzt Leerzelle an die angegebene Position

### getZelle

    public Zelle getZelle(java.lang.String Adresse)

  liefere die Zelle an der angegebenen Adresse

### getXIndex

    public int getXIndex(AnzeigeZelle c)

  liefere die Spaltennummer zu einem gegebenen AnzeigeZellen-Objekt

### getYIndex

    public int getYIndex(AnzeigeZelle c)

  liefere die Zeilennummer zu einem gegebenen AnzeigeZellen-Objekt

### resetMarkierung

    public void resetMarkierung()

### setMarkierung

    public void setMarkierung(Position ObenLinks,
                              Position UntenRechts)

  setze Markierung im angegebenen Bereich

### refresh

    public void refresh()

  Neuzeichnen aller Zellen in der Tabelle

### aktualisiere

    public void aktualisiere(Position P,
                             Zelle z)

  tausche die Zelle an der angegebenen Position aus

### setColor

    public void setColor(AnzeigeZelle C,
                         int Flag)

  setze Farbe der entsprechenden Zelle

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD